kr.co.hanwha.hifive.screen.main.home

## Interface MainHomeContract.OnMainHomeListListener

- Enclosing interface:
    MainHomeContract

      public static interface MainHomeContract.OnMainHomeListListener

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onDeleteRequestClicked(TaskData data)` 요청 삭제
    `void` | `onEvalAcceptClicked(TaskData data)` 평가 수락 선택
    `void` | `onEvalRejectClicked(TaskData data)` 평가 반려 선택
    `void` | `onItemClicked(TaskData data)` TASK 클릭
    `void` | `onReRequestClicked(TaskData data)` 수정후 재 요청
    `void` | `onTaskAcceptClicked(TaskData data)` TASK 수락 선택
    `void` | `onTaskRejectClicked(TaskData data)` TASK 반려 선택
    `void` | `updateTodoTaskToTodayTask(TaskData data, boolean isChecked)`

- - ### Method Detail

    - #### onItemClicked

          void onItemClicked(@NonNull
                             TaskData data)

      TASK 클릭
      Parameters:
        `data` - TO-DO 데이터

    - #### updateTodoTaskToTodayTask

          void updateTodoTaskToTodayTask(@NonNull
                                         TaskData data,
                                         boolean isChecked)

      Parameters:
        `data` - TASK 데이터
        `isChecked` - TRUE : TASK -> 오늘할 업무로 추가 FALSE : 오늘할 업무에서 삭제

    - #### onTaskAcceptClicked

          void onTaskAcceptClicked(@NonNull
                                   TaskData data)

      TASK 수락 선택
      Parameters:
        `data` - TASK 데이터

    - #### onTaskRejectClicked

          void onTaskRejectClicked(@NonNull
                                   TaskData data)

      TASK 반려 선택
      Parameters:
        `data` - TASK 데이터

    - #### onEvalAcceptClicked

          void onEvalAcceptClicked(@NonNull
                                   TaskData data)

      평가 수락 선택
      Parameters:
        `data` - TASK 데이터

    - #### onEvalRejectClicked

          void onEvalRejectClicked(@NonNull
                                   TaskData data)

      평가 반려 선택
      Parameters:
        `data` - TASK 데이터

    - #### onDeleteRequestClicked

          void onDeleteRequestClicked(@NonNull
                                      TaskData data)

      요청 삭제
      Parameters:
        `data` - TASK 데이터

    - #### onReRequestClicked

          void onReRequestClicked(@NonNull
                                  TaskData data)

      수정후 재 요청
      Parameters:
        `data` - TASK 데이터